
import requests



class WebpageDownloader():

	RS = requests.Session()
	RequestsRetry = requests.packages.urllib3.util.retry.Retry(connect=10, backoff_factor=0.5)
	RequestsAdapter = requests.adapters.HTTPAdapter(max_retries=RequestsRetry)
	RS.mount('http://', RequestsAdapter)
	RS.mount('https://', RequestsAdapter)
	headers = {'User-Agent': 'Mozilla/5.0 (Macintosh; Intel Mac OS X 10_10_1) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/39.    0.21    71.95 Safari/537.36'}



	def __init__(self):

		return


	
	def downloadWebpage(self, url):

		r = self.RS.get(url, headers=self.headers)
		the_page = r.content.decode('utf-8')
		return the_page

